import http from "@/api";
import { ResPage } from "@/api/interface/index";
/**
 * @name 销售模块
 */
//销售订单列表
export const getListApi = (params: Record<string, any>) => {
    return http.post<ResPage<any>>(`SalOrder/GetList`, params);
};

//自定义条件Dictionary/sale
export const getDictionaryApi = () => {
    return http.get<any>(`Dictionary/sale`);
};

//下拉框状态
export const getEnumApi = () => {
    return http.get<any>(`SalOrder/GetEnum`);
};

//详情
export const getOrderDetailsApi = (id: any) => {
    return http.post<any>(`SalOrder/GetInfo/${id}`);
};

//销售退货列表
export const getReturnListApi = (params: Record<string, any>) => {
    return http.post<ResPage<any>>(`ReturnStockOrder/GetList`, params);
};
//销售退货自定义条件
export const getRetrunDictionaryApi = () => {
    return http.get<any>(`Dictionary/RetrunOrder`);
};
//销售退货状态 ReturnStockOrder/GetStatus
export const getRetrunStatusApi = () => {
    return http.get<any>(`ReturnStockOrder/GetStatus`);
};
//销售退货单详情
export const getRetrunDetailsApi = (id: any) => {
    return http.get<any>(`ReturnStockOrder/GetInfo/${id}`);
};
// //销售出库单详情
// export const getSalOutStockOrderApi = (id: any) => {
//     return http.get<any>(`SalOutStockOrder/GetInfo/${id}`);
// };
// //发货通知单列表
// export const getNoticeListApi = (params: Record<string, any>) => {
//     return http.post<ResPage<any>>(`DeliveryNoticeOrder/GetList`, params);
// };
